

#if defined(HAVE_CONFIG_H)
# include "config.h"
#endif

#include "trace.h"
#include <stdarg.h>
#include <stdio.h>


void
real_trace(const char *fname, char * fmt, ... )
{
  char buf[1024];
  va_list ap;
  va_start (ap, fmt);
#if HAVE_SNPRINTF
  snprintf (buf, 1024, "<%s> %s\n", fname, fmt);
#else
  sprintf (buf, "<%s> %s\n", fname, fmt);
#endif
#if HAVE_VPRINTF
  vprintf (buf, ap);
#else
# if HAVE_DOPRNT
  _doprnt(buf, ap);
# else
  printf(buf);
# endif
#endif
  va_end (ap);
}

